
import browser from "./browser"

const config = {
    /**
     * 静态资源路径
     */
    staticURL: process.env.VUE_APP_STATIC_DIR,
    urlFill:  process.env.VUE_APP_URL_FILL, 
    thumb:require('@/assets/images/default/img_cover_default.jpg'),
    noresult:require('@/assets/images/default/img_noresults@2x.png'),
    empty: require('@/assets/images/default/img_empty@2x.png'),
    projectNum: browser.urlQueryValue('id'),
    sceneNum: browser.urlQueryValue('vr'),
    lang: browser.urlQueryValue('lang')||'zh',
    CDN: process.env.VUE_APP_CDN,
    fdkkURL: process.env.VUE_APP_PROXY_URL_ROOT+'/',

    getKrpano(obj){
        if(typeof(obj)=="undefined"||obj==null) obj="krpanoSWFObject";
        var krpano = document.getElementById(obj);
        return krpano;
    },

    // 无限滚动列表的每页数据量
    PAGE_SIZE: 20,
};

export default config